<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>

<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js?v=2"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>

<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/tiny_mce/tiny_mce_src.js"></script>

<script type="text/javascript">
window.addEvent('domready', function() {
	$$('.actions a').addEvent('click', function(e){
		e.stop();

		document.getElementById(this.get('class')).submit();

	    // once you're logged in, change the source url (if needed)
	    var iframe = document.getElementById('frame');
	    iframe.onload = function() {
	        /*if (iframe.src != "http://remote.com/list") {
	            iframe.src = "http://remote.com/list";
	        }*/
	    }
	});
});
</script>

<script type="text/javascript">

var initTiny = function() {

		tinyMCE.init({
			mode : "exact",
			elements: "cads-text",
			theme : "advanced",

			plugins : "pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",

			theme_advanced_toolbar_location	  : "top",
			theme_advanced_toolbar_align	  : "left",
			editor_selector : 'about-field',
			theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
			theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
			theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
			theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,spellchecker,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,blockquote,pagebreak,|,insertfile,insertimage",
		
			 theme_advanced_toolbar_location : "top",
        theme_advanced_toolbar_align : "left",
        theme_advanced_statusbar_location : "bottom",
        theme_advanced_resizing : true,


			//theme_advanced_buttons3_add : "",
			remove_script_host : false,
			relative_urls : false,
			convert_urls : false
		});
	
};

Cubix.ready = function () {

	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'ID', field: 'id', type: 'number', sortable: true, width: 40 },
			{ title: 'UserID', field: 'user_id', type: 'number', sortable: true ,width:60},
			{ title: 'Status', field: 'status', type: 'PunterStatus', sortable: true, width: 60},
			{ title: 'Message', field: 'message', type: 'string', sortable: false},
		],
		sort: {
			field: 'id',
			dir: 'desc'
		},
		actions: [ 
			{ type: 'edit', mouseenter: function (data, btn) {
				menu.show(btn, data);
			} }
		],
		data: new Cubix.Grid.Loader({ url: '/punter-messages/punters-data', params: getFilterParams })
	}).addEvent('rightclick', function (data, e) {
		e.stop();
		menu.show({ left: e.page.x, top: e.page.y + 3 }, data, false);
	});

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			it.addEvent('change', function(){
				grid.load();
			});
		});
	};

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });


	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var popup = new Cubix.Popup.Ajax({
		abar: [
			// { caption: 'Approve & Save', klass: 'cads-approve-btn', icon: 'accept', action: function () {
			// 	this.content.getFirst('form').set('action', '/punter-messages/punter-edit?act=approve');
			// 	Cubix.Grid.Instance = grid;
			// 	(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
			// 	});
			// } },
			// { caption: 'Disable & Save', klass: 'cads-disable-btn', icon: 'cancel', action: function () {
			// 	this.content.getFirst('form').set('action', '/punter-messages/punter-edit?act=disable');
			// 	Cubix.Grid.Instance = grid;
			// 	(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
			// 	});
			// } },
			// { caption: 'Activate & Save', klass: 'cads-activate-btn', icon: 'accept', action: function () {
			// 	this.content.getFirst('form').set('action', '/punter-messages/punter-edit?act=activate');
			// 	Cubix.Grid.Instance = grid;
			// 	(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
			// 	});
			// } },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1150
	});
	window.popup = popup;
	var menu = new ActionsMenu([
		{ name: 'edit', icon: 'edit', caption: 'Edit', func: function (data) {
			popup.setTitle('Edit Ad');
			popup.load('<?= $this->baseUrl() ?>/punter-messages/punter-edit?id=' + data.id + '&ft=true', function () {
				this.open();
                // Ads.Photos( 'ads-image-content' );

                
			});
		} },
		{ name: 'remove', icon: 'remove', caption: 'Delete', func: defaultAction = function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				//this.overlay.disable();
				new Request({
					url: '/punter-messages/punter-remove?id=' + data.id,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		} }
	], { icon: 'edit', mode: 'mouse' });
	initFormSubmit();
}
</script>


<div class="form-common gray c-filter-form">
	<form id="a-search-form">
		<fieldset class="inner mb10">
			
			<div class="inner">
				<label for="id">ID</label>
				<input id="id" type="text" class="txt" style="width: 70px;" name="id" value="<?= $this->filter_params['id'] ?>" />
			</div>
			
			<div class="inner">
				<label for="user_id">UserID</label>
				<input id="user_id" type="text" class="txt w18" name="user_id" value="<?= $this->filter_params['user_id'] ?>" />
			</div>

			<div class="inner">
				<label for="status">Status</label>
				<select name="status" id="status">
					<option value="">--- All ---</option>
					<option value="<?= Model_PunterMessages::PUNTER_STATUS_PENDING ?>" selected="selected">PENDING</option>
					<option value="<?= Model_PunterMessages::PUNTER_STATUS_APPROVED ?>">APPROVED</option>
					<option value="<?= Model_PunterMessages::PUNTER_STATUS_DECLINED ?>">DECLINED</option>
					<option value="<?= Model_PunterMessages::PUNTER_STATUS_EXPIRED ?>">EXPIRED</option>
					<!-- <option value="-99">DELETED</option> -->
				</select>
			</div>

			<div class="clear"></div>

		</fieldset>
		
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div>


<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>

<style type="text/css">
	#frame {
		border: none;
		width: 100%;
		height: 800px;
	}

	.actions {
		margin: 0px 0 10px 0;
		padding: 0px;
	}
	.actions a {
		padding: 0px 15px;
		margin: 0px;
		display: inline-block;
		background: #444;
		color: #fff;
		height: 25px;
		line-height: 25px;
		border-radius: 3px;
		margin: 0 5px 0 0;
	}
	.cx-grid td {
		word-wrap: break-word;
		max-width:  100px;
	}
</style>
